> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Liquidity for a Specific Pool Type on a Chain

> Returns the pool address and available balance for the requested chain and token

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/liquidity/pools/{poolType}' \
    --header 'X-Auth-Token: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/liquidity/pools/{poolType}", headers={"X-Auth-Token": "YOUR_API_KEY"})
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/liquidity/pools/{poolType}",
    { headers: { "X-Auth-Token": "YOUR_API_KEY" } }
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	req, _ := http.NewRequest("GET", "https://api.sprinter.tech/liquidity/pools/{poolType}", nil)
  	req.Header.Set("X-Auth-Token", "YOUR_API_KEY")
  	resp, _ := http.DefaultClient.Do(req)
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>


## OpenAPI

````yaml get /liquidity/pools/{poolType}
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /liquidity/pools/{poolType}:
    get:
      tags:
        - Liquidity
      summary: Get available liquidity for a specific pool type on a chain
      description: >-
        Returns the pool address and available balance for the requested chain
        and token
      parameters:
        - description: Pool type
          name: poolType
          in: path
          required: true
          schema:
            type: string
            enum:
              - aave
              - aave_v2
              - usdc
              - usdc_v2
              - aave_long_term
              - aave_long_term_v2
        - example: eip155:1
          description: CAIP chain ID
          name: chain
          in: query
          required: true
          schema:
            type: string
        - example: USDC
          description: Token symbol
          name: tokenSymbol
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved available liquidity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/liquidity.availableLiquidityResponse'
        '400':
          description: Bad request due to invalid input or missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    liquidity.availableLiquidityResponse:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/liquidity.poolLiquidity'
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string
    liquidity.poolLiquidity:
      type: object
      required:
        - address
        - balance
      properties:
        address:
          type: string
        balance:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Auth-Token
      in: header

````